package com.infosupport.jewelshop.domain;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class Basket implements Serializable {

	private static final long serialVersionUID = 2021533259308830879L;

	private final List<BasketItem> items = new ArrayList<BasketItem>();

	public Basket() {
		super();
	}

	public void addItem(Jewel jewel, int number) {
		boolean itemexist = false;
		for (BasketItem item : items) {
			if (item.getJewel().equals(jewel)) {
				item.setCount(item.getCount() + number);
				itemexist = true;
				break;
			}
		}
		if (!itemexist) {
			BasketItem item = new BasketItem(number, jewel);
			items.add(item);
		}
	}

	public List<BasketItem> getBasketItems() {
		return items;
	}
}
