package com.infosupport.jewelshop.domain;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class Contact implements Serializable {

	public static final String PROP_LASTNAME = "lastname";

	public static final String PROP_FIRSTNAME = "firstname";

	public static final String PROP_BIRTHDATE = "birthdate";

	public static final String PROP_INTERESTS = "interests";

	public static final String PROP_CONTACT_BY_PHONE = "contactByPhone";

	public static final String PROP_NEWSLETTER = "newsletter";

	public static final String PROP_ADDRESS = "address";

	public static final String PROP_PHONE = "phone";

	public static final String PROP_MESSAGE = "message";

	public static final String PROP_EMAIL = "email";

	public static final String PROP_COUNTRY = "country";

	public static final String PROP_CONTACT_TYPE = "contactType";

	public enum ContactType {
		ZAKELIJK, PRIVE
	}

	private static final long serialVersionUID = -5722684355579375026L;

	private String lastname;

	private String firstname;

	private Date birthdate;

	private List<String> interests;

	private boolean contactByPhone;

	private boolean newsletter;

	private String address;

	private String phone;

	private String message;

	private String email;

	private Country country;

	private ContactType contactType;

	public String getLastname() {
		return lastname;
	}

	public void setLastname(String lastname) {
		this.lastname = lastname;
	}

	public String getFirstname() {
		return firstname;
	}

	public void setFirstname(String firstname) {
		this.firstname = firstname;
	}

	public Date getBirthdate() {
		return birthdate;
	}

	public void setBirthdate(Date birthdate) {
		this.birthdate = birthdate;
	}

	public List<String> getInterests() {
		return interests;
	}

	public void setInterests(List<String> interests) {
		this.interests = interests;
	}

	public boolean isContactByPhone() {
		return contactByPhone;
	}

	public void setContactByPhone(boolean contactByPhone) {
		this.contactByPhone = contactByPhone;
	}

	public boolean isNewsletter() {
		return newsletter;
	}

	public void setNewsletter(boolean newsletter) {
		this.newsletter = newsletter;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public Country getCountry() {
		return country;
	}

	public void setCountry(Country country) {
		this.country = country;
	}

	public ContactType getContactType() {
		return contactType;
	}

	public void setContactType(ContactType contactType) {
		this.contactType = contactType;
	}

	@Override
	public String toString() {
		return "Contact [lastname=" + lastname + ", firstname=" + firstname
				+ ", birthdate=" + birthdate + ", interests=" + interests
				+ ", contactByPhone=" + contactByPhone + ", newsletter="
				+ newsletter + ", address=" + address + ", phone=" + phone
				+ ", message=" + message + ", email=" + email + ", country="
				+ country + ", contactType=" + contactType + "]";
	}

}
