package com.infosupport.jewelshop.domain;

public class JewelNotFoundException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = -4036253904232127994L;
	private final Long id;

	public JewelNotFoundException(Long id) {
		super("Jewel with id: " + id + " is not found.");
		this.id = id;
	}

	public Long getId() {
		return id;
	}
}
