package com.infosupport.jewelshop.domain;

import org.apache.wicket.validation.IValidatable;
import org.apache.wicket.validation.validator.AbstractValidator;

public class ZipCodeInRangeValidator extends AbstractValidator<DutchZipCode> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 362813154218342752L;

	@Override
	protected void onValidate(IValidatable<DutchZipCode> validatable) {
		DutchZipCode value = validatable.getValue();
		if (value != null) {
			int numbers = Integer.parseInt(value.getNumbers());
			if (numbers < 2000 || numbers > 5000) {
				error(validatable);
			}
		}
	}

}
