package com.infosupport.jewelshop.models;

import java.util.List;

import org.apache.wicket.model.LoadableDetachableModel;

import com.infosupport.jewelshop.domain.Jewel;
import com.infosupport.jewelshop.srv.JewelInventorySrv;

public class JewelModel extends LoadableDetachableModel<List<Jewel>> {

	/**
	 * 
	 */
	private static final long serialVersionUID = -8734466016818319469L;

	@Override
	protected List<Jewel> load() {
		List<Jewel> object = getObject();
		System.out.println("Load jewels...: " + object);

		return JewelInventorySrv.getInstance().getJewels();
	}

	@Override
	protected void onDetach() {
		System.out.println("onDetach");
	}

	@Override
	protected void onAttach() {
		System.out.println("onAttach");
		super.onAttach();
	}

	@Override
	public void setObject(List<Jewel> object) {
		System.out.println(object);
		super.setObject(object);
	}

	@Override
	public List<Jewel> getObject() {
		System.out.println("getObject()");
		return super.getObject();
	}

}
